SubscribersController_updateSubscriberGlobalPreferences
import { Novu } from "@novu/api";
const novu = new Novu({
apiKey: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await novu.subscribers.preferences.updateGlobal("<value>", {});
// Handle the result
console.log(result)
}
run();curl --request PATCH \
--url https://api.novu.co/v1/subscribers/{subscriberId}/preferences \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"preferences": [
{
"enabled": true
}
]
}
'import requests
url = "https://api.novu.co/v1/subscribers/{subscriberId}/preferences"
payload = {
"enabled": True,
"preferences": [{ "enabled": True }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, preferences: [{enabled: true}]})
};
fetch('https://api.novu.co/v1/subscribers/{subscriberId}/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"_id": "<string>",
"name": "<string>",
"critical": true,
"triggers": [
"<string>"
]
},
"preference": {
"enabled": true,
"channels": {
"email": true,
"sms": true,
"in_app": true,
"chat": true,
"push": true
}
}
}"Request with key 3909d656-d4fe-4e80-ba86-90d3861afcd7 is currently being processed. Please retry after 1 second""API rate limit exceeded""Please wait some time, then try again."Subscribers
Update subscriber global preferences
PATCH
/
v1
/
subscribers
/
{subscriberId}
/
preferences
SubscribersController_updateSubscriberGlobalPreferences
import { Novu } from "@novu/api";
const novu = new Novu({
apiKey: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await novu.subscribers.preferences.updateGlobal("<value>", {});
// Handle the result
console.log(result)
}
run();Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80eAuthorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".
Path Parameters
Body
application/json
Was this page helpful?
⌘I